Bug 216073 - [Flatpak SDK] Migration to SDK 0.3 branch
Summary: [Flatpak SDK] Migration to SDK 0.3 branch
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Philippe Normand
URL:
Keywords:
Depends on: 216239
Blocks:
  Show dependency treegraph
 
Reported: 2020-09-02 06:35 PDT by Philippe Normand
Modified: 2020-09-14 03:40 PDT (History)
8 users (show)

See Also:


Attachments
Patch (3.81 KB, patch)
2020-09-02 08:29 PDT, Philippe Normand
no flags Details | Formatted Diff | Diff
Patch (11.93 KB, patch)
2020-09-07 02:35 PDT, Philippe Normand
no flags Details | Formatted Diff | Diff
Patch (13.67 KB, patch)
2020-09-09 01:00 PDT, Philippe Normand
no flags Details | Formatted Diff | Diff
Patch (9.64 KB, patch)
2020-09-09 03:04 PDT, Philippe Normand
aperez: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Normand 2020-09-02 06:35:59 PDT
A patch for flatpakutils is needed in order to migrate to the new SDK branch based on FDO 20.08. Coordination will be required to clean up bots build dirs (WebKitBuild/{GTK,WPE}).
Comment 1 Carlos Alberto Lopez Perez 2020-09-02 06:51:57 PDT
This can be done after landing the patch, from the buildbot interface of each bot, at the bottom right there is a form to order builds. Just check the "clean build" option and leave the revision information fields empty (it will just pick the last trunk automatically)
Comment 2 Philippe Normand 2020-09-02 06:58:06 PDT
Right, for the buildbots it's not too hard. But for the EWS it might be more tricky, unless there's a fancy web UI for that now :)
Comment 3 Philippe Normand 2020-09-02 08:29:13 PDT
Created attachment 407768 [details]
Patch
Comment 4 Carlos Alberto Lopez Perez 2020-09-02 08:40:10 PDT
(In reply to Philippe Normand from comment #2)
> Right, for the buildbots it's not too hard. But for the EWS it might be more
> tricky, unless there's a fancy web UI for that now :)

mmm, right.. triggering the clean builds on the EWS requires coordination
Comment 5 Philippe Normand 2020-09-07 02:35:56 PDT
Created attachment 408169 [details]
Patch
Comment 6 Philippe Normand 2020-09-07 02:37:17 PDT
The xslt changes are needed because libxslt is now less permissive when parsing templates, due to this commit: https://gitlab.gnome.org/GNOME/libxslt/-/commit/e3577d4897677d775e6c48d5172089fade95b886
Comment 7 Philippe Normand 2020-09-07 02:49:55 PDT
EWS failures are expected, because bug 216239 has not landed yet.
Comment 8 Philippe Normand 2020-09-08 09:37:22 PDT
I have a new patch, which should trigger the upgrade in the GTK/WPE EWS this time, but I'm a bit afraid to upload because I'm not sure the UserFlatpak will be cleaned up afterwards.
Comment 9 Philippe Normand 2020-09-09 01:00:00 PDT
Created attachment 408319 [details]
Patch
Comment 10 Philippe Normand 2020-09-09 03:04:16 PDT
Created attachment 408322 [details]
Patch
Comment 11 Philippe Normand 2020-09-14 03:39:52 PDT
Committed r267010: <https://trac.webkit.org/changeset/267010>